### Hierarchy

- unknown
  - PaymentAccountList

## Index

### Constructors

- constructor

### Methods

- addPaymentAccount
- clearPaymentAccountList
- getPaymentAccountList
- serializeBinary
- setPaymentAccountList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccountList(): PaymentAccountList

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccountList

## Methods

### addPaymentAccount

- addPaymentAccount(value?: PaymentAccount, index?: number): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:6414

  #### Parameters

  - ##### Optional value: PaymentAccount

  - ##### Optional index: number

  #### Returns PaymentAccount

### clearPaymentAccountList

- clearPaymentAccountList(): PaymentAccountList

- - Defined in src/protobuf/pb_pb.d.ts:6413

  #### Returns PaymentAccountList

### getPaymentAccountList

- getPaymentAccountList(): PaymentAccount []

- - Defined in src/protobuf/pb_pb.d.ts:6411

  #### Returns PaymentAccount []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6416

  #### Returns Uint8Array

### setPaymentAccountList

- setPaymentAccountList(value: PaymentAccount []): PaymentAccountList

- - Defined in src/protobuf/pb_pb.d.ts:6412

  #### Parameters

  - ##### value: PaymentAccount []

  #### Returns PaymentAccountList

### toObject

- toObject(includeInstance?: boolean): PaymentAccountList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6417

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccountList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountList

- - Defined in src/protobuf/pb_pb.d.ts:6420

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountList, reader: BinaryReader): PaymentAccountList

- - Defined in src/protobuf/pb_pb.d.ts:6421

  #### Parameters

  - ##### message: PaymentAccountList

  - ##### reader: BinaryReader

  #### Returns PaymentAccountList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6419

  #### Parameters

  - ##### message: PaymentAccountList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccountList ): PaymentAccountList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6418

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountList

  #### Returns PaymentAccountList . AsObject

Generated using TypeDoc